$(document).ready(function(){
	$('#paystack_admin').on('submit',processAdmission);
	$('#paystack_admin [type="password"]').on('keyup',confirmPassword);
})

function processAdmission(){
	//Materialize.toast('Processing', 5000,'green');
	var form = $(this);
	var p1 = form.find('#pwd1').val();
	var p2 = form.find('#pwd2').val();
	if(p1 != p2){
		Materialize.toast('Passwords do not match',4000,'red');
		return;
	}
	
	var email = form.find('[name="email"]').val();
	var amnt = parseInt(form.find(':selected').attr("data-amount"),10)*100;
	var btn = form.find('[name="submit_paystack"]');
	
	
	function on_init(){
		Materialize.toast('Connecting...',4000,'green');
		btn.attr({disabled:'disabled'});
		btn.val('Processing...');
	}
	function on_close(){
		btn.removeAttr('disabled');
		btn.val('Pay Online Now');
	}
	function on_error(err){
		Materialize.toast(err,4000,'red');
		btn.removeAttr('disabled');
		btn.val('Pay Online Now');
	}
	function pay_success(ref){
		//btn.removeAttr('disabled');
		Materialize.toast('Payment was successful.<br> Redirecting...', 4000, 'green');
		var ref_field = $('<input>').attr({name:'paystack_ref',type:'hidden'}).val(ref).appendTo(form);
		form.find('script').remove();
		form.attr({action:'http://www.linkskool.com/newportal/process_entry.php'});
		form.off('submit',processAdmission);
		setTimeout(function(){
			form.submit();
		},10);
		
		// similar behavior as an HTTP redirect
		//window.location.replace("http://linkschoolonline.com");

		// similar behavior as clicking on a link
		//window.location.href = "http://stackoverflow.com";
	}
	payments.payUsWithPaystack(email,amnt,on_init,on_close,pay_success,on_error);
}

function confirmPassword(){
	var pwd = $('#pwd1').val();
	var cpwd = $('#pwd2').val();
	if(pwd !="" && cpwd !=""){
		if(pwd==cpwd){
			$('#match_pwd').text('');
		}else{
			$('#match_pwd').text('Passwords does not match');
		}
	}
}